import api from '@/api/api';
import { AllUserResponse, User } from '@/types/user';

export class UserService {
  static async getProfile(): Promise<User> {
    console.log('getProfile');
    const user = api.getProfile();

    return user;
  }

  static async getUsers(
    page: number = 1,
    limit: number = 10
  ): Promise<AllUserResponse> {
    console.log('getUsers');
    const allUsers = api.getUsers(page, limit);
    return allUsers;
  }

  static async getUserById(userId: number): Promise<User> {
    console.log('getUserById');
    const user = api.getUserById(userId);
    return user;
  }
}
